<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'media',

    /*
     * Modules.
     */
    'modules'   => ['group', 
'contact', 
'media', 
'variant'],

    'group'       => [
        'model' => [
            'model'                 => \Litepie\Media\Models\Group::class,
            'table'                 => 'groups',
            'presenter'             => \Litepie\Media\Repositories\Presenter\GroupPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'media_id',  'title',  'description',  'image',  'user_id',  'created_at',  'updated_at',  'deleted_at',  'slug'],
            'translatables'         => [],
            'upload_folder'         => 'media/group',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Media',
            'module'    => 'Group',
        ],

    ],

    'contact'       => [
        'model' => [
            'model'                 => \Litepie\Media\Models\Contact::class,
            'table'                 => 'contacts',
            'presenter'             => \Litepie\Media\Repositories\Presenter\ContactPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'media_id',  'user_id',  'title',  'fname',  'lname',  'designation',  'phone',  'email',  'contact_region',  'contactfor',  'restriction',  'photo',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'media/contact',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Media',
            'module'    => 'Contact',
        ],

    ],

    'media'       => [
        'model' => [
            'model'                 => \Litepie\Media\Models\Media::class,
            'table'                 => 'media',
            'presenter'             => \Litepie\Media\Repositories\Presenter\MediaPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'user_id',  'media_type',  'country_id',  'state_id',  'city_id',  'zipcode',  'street',  'street_no',  'website',  'mediadata',  'distribution_area_id',  'brand_id',  'profile',  'images',  'logo',  'targetgroups',  'targetgroup_description',  'statistics',  'slug',  'status',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'media/media',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Media',
            'module'    => 'Media',
        ],

    ],

    'variant'       => [
        'model' => [
            'model'                 => \Litepie\Media\Models\Variant::class,
            'table'                 => 'variants',
            'presenter'             => \Litepie\Media\Repositories\Presenter\VariantPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'media_id',  'type',  'title',  'variant_status',  'period_id',  'category_id',  'media_type_id',  'evaluation',  'embedded_social',  'note',  'runtime_type',  'running_time',  'starting_date',  'end_date',  'deadline_booking',  'deadline_artwork',  'components',  'component_image',  'cost',  'discount',  'price',  'vat',  'price_inkl_vat',  'raffle',  'status',  'begin',  'stop',  'user_id',  'slug',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'media/variant',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Media',
            'module'    => 'Variant',
        ],

    ],
];
