<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateContactsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: contacts
         */
        Schema::create('contacts', function ($table) {
            $table->increments('id');
            $table->integer('media_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->string('fname', 255)->nullable();
            $table->string('lname', 255)->nullable();
            $table->string('designation', 255)->nullable();
            $table->string('phone', 255)->nullable();
            $table->text('email')->nullable();
            $table->integer('contact_region')->nullable();
            $table->string('contactfor', 255)->nullable();
            $table->string('restriction', 255)->nullable();
            $table->text('photo')->nullable();
            $table->string('slug', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('contacts');
    }
}
