<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateGroupsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: groups
         */
        Schema::create('groups', function ($table) {
            $table->increments('id');
            $table->integer('media_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->text('description')->nullable();
            $table->text('image')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('groups');
    }
}
