<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateMediaTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: media
         */
        Schema::create('media', function ($table) {
            $table->increments('id');
            $table->string('title', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('media_type', 255)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('zipcode', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->integer('street_no')->nullable();
            $table->text('website')->nullable();
            $table->text('mediadata')->nullable();
            $table->integer('distribution_area_id')->nullable();
            $table->integer('brand_id')->nullable();
            $table->text('profile')->nullable();
            $table->text('images')->nullable();
            $table->text('logo')->nullable();
            $table->text('targetgroups')->nullable();
            $table->text('targetgroup_description')->nullable();
            $table->text('statistics')->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('media');
    }
}
