<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVariantsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: variants
         */
        Schema::create('variants', function ($table) {
            $table->increments('id');
            $table->integer('media_id')->nullable();
            $table->integer('type')->nullable();
            $table->string('title', 255)->nullable();
            $table->enum('variant_status', ['bookable','not bookable'])->nullable();
            $table->integer('period_id')->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('media_type_id')->nullable();
            $table->text('evaluation')->nullable();
            $table->text('embedded_social')->nullable();
            $table->text('note')->nullable();
            $table->enum('runtime_type', ['relative','absolute'])->nullable();
            $table->string('running_time', 255)->nullable();
            $table->date('starting_date')->nullable();
            $table->date('end_date')->nullable();
            $table->dateTime('deadline_booking')->nullable();
            $table->dateTime('deadline_artwork')->nullable();
            $table->text('components')->nullable();
            $table->text('component_image')->nullable();
            $table->integer('cost')->nullable();
            $table->string('discount', 255)->nullable();
            $table->integer('price')->nullable();
            $table->integer('vat')->nullable();
            $table->integer('price_inkl_vat')->nullable();
            $table->text('raffle')->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->dateTime('begin')->nullable();
            $table->dateTime('stop')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('variants');
    }
}
