Lavalite package that provides media management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/media`.

    "litepie/media": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Media\Providers\MediaServiceProvider::class,

And also add it to alias

    'Media'  => Litepie\Media\Facades\Media::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\MediaTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Media\Providers\MediaServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Media\Providers\MediaServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Media\Providers\MediaServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/media/{modulename}

**User**

    http://path-to-route-folder/user/media/{modulename}

**Public**

    http://path-to-route-folder/media


### API endpoints

**List**

    http://path-to-route-folder/api/user/media/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/media/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/media/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/media/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/media/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/media/{modulename}/{slug}
    METHOD: GET