<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for variant in media package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  variant module in media package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Variant',
    'names'         => 'Variants',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Variants',
        'sub'   => 'Variants',
        'list'  => 'List of variants',
        'edit'  => 'Edit variant',
        'create'    => 'Create new variant'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'variant_status'      => ['bookable','not bookable'],
            'runtime_type'        => ['relative','absolute'],
            'status'              => ['show','hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'media_id'                   => 'Please enter media id',
        'type'                       => 'Please enter type',
        'title'                      => 'Please enter title',
        'variant_status'             => 'Please select variant status',
        'period_id'                  => 'Please enter period id',
        'category_id'                => 'Please enter category id',
        'media_type_id'              => 'Please enter media type id',
        'evaluation'                 => 'Please enter evaluation',
        'embedded_social'            => 'Please enter embedded social',
        'note'                       => 'Please enter note',
        'runtime_type'               => 'Please select runtime type',
        'running_time'               => 'Please enter running time',
        'starting_date'              => 'Please select starting date',
        'end_date'                   => 'Please select end date',
        'deadline_booking'           => 'Please select deadline booking',
        'deadline_artwork'           => 'Please select deadline artwork',
        'components'                 => 'Please enter components',
        'component_image'            => '',
        'cost'                       => 'Please enter cost',
        'discount'                   => 'Please enter discount',
        'price'                      => 'Please enter price',
        'vat'                        => 'Please enter vat',
        'price_inkl_vat'             => 'Please enter price inkl vat',
        'raffle'                     => 'Please enter raffle conditions',
        'status'                     => 'Please select status',
        'begin'                      => 'Please select begin',
        'stop'                       => 'Please select stop',
        'user_id'                    => 'Please enter user id',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'media_id'                   => 'Media id',
        'type'                       => 'Type',
        'title'                      => 'Title',
        'variant_status'             => 'Variant status',
        'period_id'                  => 'Period id',
        'category_id'                => 'Category id',
        'media_type_id'              => 'Media type id',
        'evaluation'                 => 'Evaluation',
        'embedded_social'            => 'Embedded social',
        'note'                       => 'Note',
        'runtime_type'               => 'Runtime type',
        'running_time'               => 'Running time',
        'starting_date'              => 'Starting date',
        'end_date'                   => 'End date',
        'deadline_booking'           => 'Deadline booking',
        'deadline_artwork'           => 'Deadline artwork',
        'components'                 => 'Components',
        'component_image'            => '',
        'cost'                       => 'Cost',
        'discount'                   => 'Discount',
        'price'                      => 'Price',
        'vat'                        => 'Vat',
        'price_inkl_vat'             => 'Price inkl vat',
        'raffle'                     => 'Raffle conditions',
        'status'                     => 'Status',
        'begin'                      => 'Begin',
        'stop'                       => 'Stop',
        'user_id'                    => 'User id',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'media_id'                   => ['name' => 'Media id', 'data-column' => 1, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 2, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 3, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Variants',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
