<?php

namespace Litepie\Media\Forms;

class Media
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'title' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.title'),
                    "placeholder" => trans('media::media.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'media_type' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.media_type'),
                    "placeholder" => trans('media::media.placeholder.media_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'country_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.country_id'),
                    "placeholder" => trans('media::media.placeholder.country_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'state_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.state_id'),
                    "placeholder" => trans('media::media.placeholder.state_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'city_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.city_id'),
                    "placeholder" => trans('media::media.placeholder.city_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'zipcode' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.zipcode'),
                    "placeholder" => trans('media::media.placeholder.zipcode'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'street' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.street'),
                    "placeholder" => trans('media::media.placeholder.street'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'street_no' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.street_no'),
                    "placeholder" => trans('media::media.placeholder.street_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'website' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.website'),
                    "placeholder" => trans('media::media.placeholder.website'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'mediadata' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.mediadata'),
                    "placeholder" => trans('media::media.placeholder.mediadata'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'distribution_area_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.distribution_area_id'),
                    "placeholder" => trans('media::media.placeholder.distribution_area_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'brand_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::media.label.brand_id'),
                    "placeholder" => trans('media::media.placeholder.brand_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'profile' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.profile'),
                    "placeholder" => trans('media::media.placeholder.profile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.images'),
                    "placeholder" => trans('media::media.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'logo' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.logo'),
                    "placeholder" => trans('media::media.placeholder.logo'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'targetgroups' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.targetgroups'),
                    "placeholder" => trans('media::media.placeholder.targetgroups'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'targetgroup_description' => [
                    "type" => 'text',
                    "label" => trans('media::media.label.targetgroup_description'),
                    "placeholder" => trans('media::media.placeholder.targetgroup_description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
