<?php

namespace Litepie\Media\Forms;

class Variant
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'media_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.media_id'),
                    "placeholder" => trans('media::variant.placeholder.media_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'type' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.type'),
                    "placeholder" => trans('media::variant.placeholder.type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.title'),
                    "placeholder" => trans('media::variant.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'variant_status' => [
                    "type" => 'select',
                    "label" => trans('media::variant.label.variant_status'),
                    "placeholder" => trans('media::variant.placeholder.variant_status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'period_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.period_id'),
                    "placeholder" => trans('media::variant.placeholder.period_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.category_id'),
                    "placeholder" => trans('media::variant.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'media_type_id' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.media_type_id'),
                    "placeholder" => trans('media::variant.placeholder.media_type_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'evaluation' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.evaluation'),
                    "placeholder" => trans('media::variant.placeholder.evaluation'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'embedded_social' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.embedded_social'),
                    "placeholder" => trans('media::variant.placeholder.embedded_social'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'note' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.note'),
                    "placeholder" => trans('media::variant.placeholder.note'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'runtime_type' => [
                    "type" => 'select',
                    "label" => trans('media::variant.label.runtime_type'),
                    "placeholder" => trans('media::variant.placeholder.runtime_type'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'running_time' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.running_time'),
                    "placeholder" => trans('media::variant.placeholder.running_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'starting_date' => [
                    "type" => 'date_picker',
                    "label" => trans('media::variant.label.starting_date'),
                    "placeholder" => trans('media::variant.placeholder.starting_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'end_date' => [
                    "type" => 'date_picker',
                    "label" => trans('media::variant.label.end_date'),
                    "placeholder" => trans('media::variant.placeholder.end_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deadline_booking' => [
                    "type" => 'date_time_picker',
                    "label" => trans('media::variant.label.deadline_booking'),
                    "placeholder" => trans('media::variant.placeholder.deadline_booking'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deadline_artwork' => [
                    "type" => 'date_time_picker',
                    "label" => trans('media::variant.label.deadline_artwork'),
                    "placeholder" => trans('media::variant.placeholder.deadline_artwork'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'components' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.components'),
                    "placeholder" => trans('media::variant.placeholder.components'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'cost' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.cost'),
                    "placeholder" => trans('media::variant.placeholder.cost'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'discount' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.discount'),
                    "placeholder" => trans('media::variant.placeholder.discount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.price'),
                    "placeholder" => trans('media::variant.placeholder.price'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'vat' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.vat'),
                    "placeholder" => trans('media::variant.placeholder.vat'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'price_inkl_vat' => [
                    "type" => 'numeric',
                    "label" => trans('media::variant.label.price_inkl_vat'),
                    "placeholder" => trans('media::variant.placeholder.price_inkl_vat'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'raffle' => [
                    "type" => 'text',
                    "label" => trans('media::variant.label.raffle'),
                    "placeholder" => trans('media::variant.placeholder.raffle'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'begin' => [
                    "type" => 'date_time_picker',
                    "label" => trans('media::variant.label.begin'),
                    "placeholder" => trans('media::variant.placeholder.begin'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'stop' => [
                    "type" => 'date_time_picker',
                    "label" => trans('media::variant.label.stop'),
                    "placeholder" => trans('media::variant.placeholder.stop'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
