<?php

namespace Litepie\Media\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Group policy
        'Litepie\Media\Models\Group' => \Litepie\Media\Policies\GroupPolicy::class,
// Bind Contact policy
        'Litepie\Media\Models\Contact' => \Litepie\Media\Policies\ContactPolicy::class,
// Bind Media policy
        'Litepie\Media\Models\Media' => \Litepie\Media\Policies\MediaPolicy::class,
// Bind Variant policy
        'Litepie\Media\Models\Variant' => \Litepie\Media\Policies\VariantPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
