<?php

namespace Litepie\Media\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Media\Models\Contact $contact)
    {
        return [
            'id'                => $contact->getRouteKey(),
            'key'               => [
                'public'    => $contact->getPublicKey(),
                'route'     => $contact->getRouteKey(),
            ], 
            'media_id'          => $contact->media_id,
            'user_id'           => $contact->user_id,
            'title'             => $contact->title,
            'fname'             => $contact->fname,
            'lname'             => $contact->lname,
            'designation'       => $contact->designation,
            'phone'             => $contact->phone,
            'email'             => $contact->email,
            'contact_region'    => $contact->contact_region,
            'contactfor'        => $contact->contactfor,
            'restriction'       => $contact->restriction,
            'photo'             => $contact->photo,
            'slug'              => $contact->slug,
            'deleted_at'        => $contact->deleted_at,
            'url'               => [
                'public'    => trans_url('media/'.$contact->getPublicKey()),
                'user'      => guard_url('media/contact/'.$contact->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contact->status),
            'created_at'        => format_date($contact->created_at),
            'updated_at'        => format_date($contact->updated_at),
        ];
    }
}