<?php

namespace Litepie\Media\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class GroupTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Media\Models\Group $group)
    {
        return [
            'id'                => $group->getRouteKey(),
            'key'               => [
                'public'    => $group->getPublicKey(),
                'route'     => $group->getRouteKey(),
            ], 
            'media_id'          => $group->media_id,
            'title'             => $group->title,
            'description'       => $group->description,
            'image'             => $group->image,
            'user_id'           => $group->user_id,
            'deleted_at'        => $group->deleted_at,
            'slug'              => $group->slug,
            'url'               => [
                'public'    => trans_url('media/'.$group->getPublicKey()),
                'user'      => guard_url('media/group/'.$group->getRouteKey()),
            ], 
            'status'            => trans('app.'.$group->status),
            'created_at'        => format_date($group->created_at),
            'updated_at'        => format_date($group->updated_at),
        ];
    }
}