<?php

namespace Litepie\Media\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MediaTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Media\Models\Media $media)
    {
        return [
            'id'                => $media->getRouteKey(),
            'key'               => [
                'public'    => $media->getPublicKey(),
                'route'     => $media->getRouteKey(),
            ], 
            'title'             => $media->title,
            'user_id'           => $media->user_id,
            'media_type'        => $media->media_type,
            'country_id'        => $media->country_id,
            'state_id'          => $media->state_id,
            'city_id'           => $media->city_id,
            'zipcode'           => $media->zipcode,
            'street'            => $media->street,
            'street_no'         => $media->street_no,
            'website'           => $media->website,
            'mediadata'         => $media->mediadata,
            'distribution_area_id' => $media->distribution_area_id,
            'brand_id'          => $media->brand_id,
            'profile'           => $media->profile,
            'images'            => $media->images,
            'logo'              => $media->logo,
            'targetgroups'      => $media->targetgroups,
            'targetgroup_description' => $media->targetgroup_description,
            'statistics'        => $media->statistics,
            'slug'              => $media->slug,
            'deleted_at'        => $media->deleted_at,
            'url'               => [
                'public'    => trans_url('media/'.$media->getPublicKey()),
                'user'      => guard_url('media/media/'.$media->getRouteKey()),
            ], 
            'status'            => trans('app.'.$media->status),
            'created_at'        => format_date($media->created_at),
            'updated_at'        => format_date($media->updated_at),
        ];
    }
}