<?php

namespace Litepie\Media\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VariantTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Media\Models\Variant $variant)
    {
        return [
            'id'                => $variant->getRouteKey(),
            'key'               => [
                'public'    => $variant->getPublicKey(),
                'route'     => $variant->getRouteKey(),
            ], 
            'media_id'          => $variant->media_id,
            'type'              => $variant->type,
            'title'             => $variant->title,
            'variant_status'    => $variant->variant_status,
            'period_id'         => $variant->period_id,
            'category_id'       => $variant->category_id,
            'media_type_id'     => $variant->media_type_id,
            'evaluation'        => $variant->evaluation,
            'embedded_social'   => $variant->embedded_social,
            'note'              => $variant->note,
            'runtime_type'      => $variant->runtime_type,
            'running_time'      => $variant->running_time,
            'starting_date'     => $variant->starting_date,
            'end_date'          => $variant->end_date,
            'deadline_booking'  => $variant->deadline_booking,
            'deadline_artwork'  => $variant->deadline_artwork,
            'components'        => $variant->components,
            'component_image'   => $variant->component_image,
            'cost'              => $variant->cost,
            'discount'          => $variant->discount,
            'price'             => $variant->price,
            'vat'               => $variant->vat,
            'price_inkl_vat'    => $variant->price_inkl_vat,
            'raffle'            => $variant->raffle,
            'begin'             => $variant->begin,
            'stop'              => $variant->stop,
            'user_id'           => $variant->user_id,
            'slug'              => $variant->slug,
            'deleted_at'        => $variant->deleted_at,
            'url'               => [
                'public'    => trans_url('media/'.$variant->getPublicKey()),
                'user'      => guard_url('media/variant/'.$variant->getRouteKey()),
            ], 
            'status'            => trans('app.'.$variant->status),
            'created_at'        => format_date($variant->created_at),
            'updated_at'        => format_date($variant->updated_at),
        ];
    }
}